﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            DataTable dt = new DataTable();
            dt.Columns.AddRange(new DataColumn[3] { new DataColumn("Id"), new DataColumn("Name"), new DataColumn("Country") });
            dt.Rows.Add(1, "John Hammond", "United States");
            dt.Rows.Add(2, "Mudassar Khan", "India");
            dt.Rows.Add(3, "Suzanne Mathews", "France");
            dt.Rows.Add(4, "Robert Schidner", "Russia");
            GridView1.DataSource = dt;
            GridView1.DataBind();
        }
    }

    protected void OnRowCommand(object sender, GridViewCommandEventArgs e)
    {
        //Get the Command Name.
        string commandName = e.CommandName;

        //Get the Row Index.
        int rowIndex = Convert.ToInt32(e.CommandArgument);

        //Get the Row reference in which Button was clicked.
        GridViewRow row = GridView1.Rows[rowIndex];
    }

    protected void Row_Selected(object sender, EventArgs e)
    {
        //Get the Button reference.
        Button btnSelect = (sender as Button);

        //Get the Command Name.
        string commandName = btnSelect.CommandName;

        //Get the Command Argument.
        string commandArgument = btnSelect.CommandArgument;

        //Get the Row reference in which Button was clicked.
        GridViewRow row = (btnSelect.NamingContainer as GridViewRow);

        //Get the Row Index.
        int rowIndex = row.RowIndex;
    }
}